<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook"
         xml:id="developerguide.getting_from_svn">
  <info>
    <title>Getting JOnAS From the SVN Repository</title>
  </info>
  
  <para>Anyone can check out source code from the SVN server using the
    following command (for GUI SVN client use, configuration values are the
    same as for command line use):</para>

  <para><command>
svn checkout svn://svn.forge.objectweb.org/svnroot/jonas/jonas/trunk/
  </command></para>
  <para>
    It is also possible to retrieve a particular branch or a particular tag.
    For example:
    <para><command>
svn checkout svn://svn.forge.objectweb.org/svnroot/jonas/jonas/branches/jonas_4_10
    </command></para>
    <para><command>
svn checkout svn://svn.forge.objectweb.org/svnroot/jonas/jonas/tag/JONAS_5_1_0_M3
    </command></para>
    <para>
      This will get the 3 modules :
      <variablelist>
        <varlistentry>
          <term>jonas</term>
          <listitem><para>source of JOnAS server</para></listitem>
        </varlistentry>
        <varlistentry>
          <term>jonas_doc</term>
          <listitem><para>documentation of JOnAS (in docbook format)</para></listitem>
        </varlistentry>
        <varlistentry>
          <term>jonas_tests</term>
          <listitem><para>Miscelaneous JOnAS tests</para></listitem>
        </varlistentry>
      </variablelist>
    </para>
  </para>

  <para>Access for developpers is available using :</para>

  <para>
    <command>
svn checkout svn+ssh://developername@svn.forge.objectweb.org/svnroot/jonas/jonas/trunk/
    </command>
  </para>
</section>
